<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AuthController extends Controller
{
    public function index()
    {
        return view('login');
    }

    public function postLogin(Request $request)
    {
        $credentials = $request->validate([
            'email' => ['required', 'email'],
            'password' => ['required'],
        ]);

        if (!User::where('email', $request->email)->first()) {
            return back()->with('error', 'Your email is unavailable')->onlyInput('email');
        } else{
            if (!Auth::attempt($credentials)) {
                return back()->with('error', 'The password you entered is incorrect');
            } else {
                return redirect()->to('dashboard')->with('success', 'You have successfully logged in');
            }
        }

    }

    public function logout()
    {
        Auth::logout();
        return redirect()->route('logout')->with('success', 'You are logged out successfully');
    }
}