@extends('template')

@section('content')
    <div class="page-info">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Apps</a></li>
                <li class="breadcrumb-item active" aria-current="page">Company's Info</li>
            </ol>
        </nav>
    </div>
    @include('message')
    <div class="main-wrapper">
         {{-- <div class="profil-header">
            <div class="row">
               <div class="col">
                  <div class="profile-img">
                      <img src="{{ asset('images') . '/' . Auth::user()->photo }}" class="rounded-pill" width="200">
                      <img src="{{ asset('template') }}/images/avatars/profile-image-1.png" width="200">
                  </div>
                  <div class="profile-name">
                      <h3 style="color: grey"></h3>
                          <span>Crew of CV. Greennusa Computindo</span>
                  </div>
              </div>
            </div>
         </div> --}}
         <div class="profile-content">
            @include('message')
            <div class="row">
                <div class="{{ Auth::user()->level == 1 ? 'col-md-8' : 'col-md-12' }}">
                    <div class="card">
                        <div class="card-body">
                            {{-- <h5 class="title">Profile</h5> --}}
                            <form action="/company/{{ Crypt::encryptString($company->id) }}" method="POST" id="formEdit" enctype="multipart/form-data">
                                @csrf
                                @method('put')
                                <div class="form-group">
                                    <label for="name">Name Perusahaan</label>
                                    <input type="text" name="name" class="form-control"
                                        value="{{ $company->nama }}" placeholder="Masukkan Nama Perusahaan" required>
                                </div>
                                <div class="form-group">
                                 <label for="email">Email Perusahaan</label>
                                 <input type="text" name="email" class="form-control"
                                     value="{{ $company->email }}" placeholder="Masukkan Email" required>
                               </div>
                                <div class="form-group">
                                 <label for="nomorhp">Nomor Telepon</label>
                                 <input type="text" name="nomorhp" class="form-control"
                                     value="{{ $company->nohp }}" placeholder="Masukkan nomor telepon" required>
                               </div>
                                <div class="form-group">
                                    <label for="alamat">Alamat Perusahaan</label>
                                    <input type="text" name="alamat" class="form-control"
                                        value="{{ $company->alamat }}" placeholder="alamat" required>
                                </div>
                                <div class="form-group">
                                    <label for="kota">Kota</label>
                                    <input type="text" name="kota" class="form-control"
                                        value="{{ $company->kota }}" placeholder="Masukkan Kota" required>
                                </div>
                                <div class="form-group">
                                    <label for="kecamatan">Kecamatan</label>
                                    <input type="text" name="kecamatan" class="form-control"
                                        value="{{ $company->kecamatan }}" placeholder="Masukkan Kecamatan" required>
                                </div>
                                <div class="form-group">
                                    <label for="provinsi">Provinsi</label>
                                    <input type="text" name="provinsi" class="form-control"
                                        value="{{ $company->provinsi }}" placeholder="Masukkan Kelurahan" required>
                                </div>
                                <div class="form-group">
                                 <label for="photo">Logo Perusahaan</label>
                                 <input type="file" name="photo" class="form-control">
                             </div>
                                <button type="submit" class="btn btn-primary" onclick="return confirm('Apakah anda yakin ingin mengubah ?')">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
                @if (Auth::user()->level == 1)
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">About</h5>
                                <div class="profile-img mb-5 text-center">
                                    {{-- <img src="{{ asset('images') . '/' . Auth::user()->photo }}" class="rounded-pill" width="200"> --}}
                                    <img src="{{ asset('images') }}/{{ $company->photo }}" width="200">
                                </div>
                                <ul class="list-unstyled profile-about-list">
                                    <li><i class="material-icons">domain</i><span>{{ $company->nama }}</span></li>
                                    <li><i class="material-icons">dns</i><span>{{ $company->alamat }}</span></li>
                                    <li><i class="material-icons">my_location</i><span>{{ $company->kota}}, {{ $company->provinsi }}</span></li>
                                    {{-- <li><i class="material-icons">rss_feed</i><span>Followed by 702 people</span></li> --}}
                                </ul>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Contact Info</h5>
                                <ul class="list-unstyled profile-about-list">
                                    <li><i class="material-icons">mail_outline</i><span>{{ $company->email }}</span></li>
                                    <li><i class="material-icons">local_phone</i><span>{{ $company->nohp }}</span></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection
