@extends('template')

@section('content')
    <div class="page-info">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Apps</a></li>
                <li class="breadcrumb-item active" aria-current="page">Report</li>
            </ol>
        </nav>
    </div>
    @include('message')
    <div class="main-wrapper">
        <div class="card">
            <div class="card-body">
                <form action="" method="post" id="myForm">
                    @csrf
                    <div class="form-group row">
                        <label for="awan" class="col-sm-1 col-form-label text-center">Dari Tanggal:</label>
                        <div class="col-sm-3">
                            <input type="date" name="awal" class="form-control text-center" id="akhir"
                                value="">
                            {{-- <input type="month" name="month" class="form-control text-center" id="end"
                                value=""> --}}
                        </div>
                        <label for="akhir" class="col-sm-1 col-form-label text-center">Sampai Tanggal:</label>
                        <div class="col-sm-3">
                            <input type="date" name="akhir" class="form-control text-end" id="akhir" value="">
                            {{-- <input type="month" name="month" class="form-control text-center" id="end"
                                value=""> --}}
                        </div>
                        <div class="col-sm-2 text-center">
                            <button type="submit" class="btn btn-secondary rounded-pill"><i
                                    class="material-icons">filter_alt</i> Filter</button>
                        </div>
                        <div class="col-sm-2 text-center">
                            <a href="{{ route('report') }}" class="btn btn-warning rounded-pill"><i
                                    class="material-icons">refresh</i> Reset</a></a>
                        </div>
                    </div>
                </form>
                @if ($report != '')
                <p class="btn btn-info rounded-pill" style="width:100%">
                    Tampilan Data Dari Tanggal  {{ date('d M Y', strtotime($awal))}} Sampai {{ date('d M Y', strtotime($akhir)) }}
                </p>
                    {{-- <p class="btn btn-info rounded-pill" style="width:100%">You display data for the month
                        {{ date('F - Y', mktime(0, 0, 0, $month, 1)) }}
                    </p> --}}
                {{-- @else --}}
                    {{-- <p class="btn btn-info  rounded-pill" style="width:100%">Tampilan Data Untuk Laporan</p> --}}
                @endif
                <div class="table-responsive">
                    <table class="table table-hover table-sm table-bordered" id="zero-conf">
                        <thead class="thead-dark">
                            <tr>
                                <th style="width: 8%" class="text-center">#</th>
                                <th>Sumber Dana</th>
                                <th>Date</th>
                                <th>Description</th>
                                <th>Incoming</th>
                                <th>Outgoing</th>
                                <th>Balance</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php
                                $no = 1;
                            @endphp
                            @if ($report == '')
                                <tr>
                                    <td colspan="6" class="text-center">Please filter by the period you
                                        want to print
                                        first.</td>
                                </tr>
                            @else
                                @foreach ($report as $item)
                                    <tr>
                                        <td class="text-center">{{ $no++ }}</td>
                                        <td>
                                            {{ $item->sumber ? $item->sumber : 'CV. GreenNusa Computindo' }}
                                        </td>
                                        <td>{{ date('d/m/Y', strtotime($item->date)) }}</td>
                                        <td>{{ $item->description }}</td>
                                        <td style="text-align: right">Rp.
                                            {{ $item->status == 1 ? number_format($item->amount, 0, ',', '.') : '-' }}
                                        </td>
                                        <td style="text-align: right">Rp.
                                            {{ $item->status == 2 ? number_format($item->amount, 0, ',', '.') : '-' }}
                                        </td>
                                        <td style="text-align: right">
                                            Rp. {{ number_format($item->balance, 0, ',', '.') }}
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
                @if ($report != '')
                <div class="row justify-content-between">
                    <div class="col-10"></div>
                    <div class="col-2 text-end">
                        <form action="{{ route('printr') }}" method="post" class="mt-2">
                            @csrf
                            {{-- <input type="hidden" name="month" value="{{ $monthYear }}"> --}}
                            <input type="hidden" name="awal" value="{{ $awal  }}">
                            <input type="hidden" name="akhir" value="{{ $akhir }}">
                            <div>
                                <button type="submit" class="btn btn-primary rounded-pill"><i class="material-icons">print</i>
                                    Print</button>
                            </div>
                        </form>
                    </div>
                </div>
                @endif
            </div>
        </div>
    </div>
    <script>
        document.getElementById('resetBtn').addEventListener('click', function() {
            document.getElementById('myForm').reset();
        });
    </script>
@endsection
