<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>{{ $title }}</title>
    {{-- <link href="{{ asset('template') }}/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet"> --}}
    <style>
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .logo {
            height: 80px;
            margin-right: 20px;
        }

        .address {
            font-size: 14px;
            line-height: 1.0;
            text-align: center;
        }

        .content {
            margin-top: 20px;
        }

        .table {
            border-collapse: collapse;
            width: 100%;
        }

        .table th,
        .table td {
            border: 1px solid black;
            padding: 5px;
        }

        .table th {
            background-color: #7bfd01;
        }

        .footer {
            margin-top: 20px;
            text-align: left;
        }

        .address h3 {
            margin-bottom: none;
        }

        .bottom {
            padding-left: 70%;
            display: flex;
            justify-content: flex-end;
        }

        .logo {
            height: 100px;
            width: 100px;
        }
    </style>
</head>

<body>
    <div class="header">
        <table>
            <tr>
                <td>
                    <img src="images/{{ $company->photo }}" alt="Logo" class="logo">
                </td>
                <td>
                    <div class="address">
                        <h2><b>{{ $company->nama }}</b></h2>
                        {{ $company->alamat }}, Kec. {{ $company->kecamatan }}, Kota {{ $company->kota }},
                        {{ $company->provinsi }}<br>
                        Email: {{ $company->email }}<br>
                        Tel: {{ $company->nohp }}
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div class="content">
        <table style="width: 100%">
            <tr>
                <td style="text-align: center" colspan="2">
                    <h3><b>Laporan Data Periode {{ date('d M Y', strtotime($awal))}} Sampai {{ date('d M Y', strtotime($akhir)) }}</b></h3>
                </td>
            </tr>
            {{-- <tr>
                <td style="text-align: left">Begining Balance : Rp. {{ number_format($balance2->amount, 0, ',', '.') }}
                </td>
                <td style="text-align: right">
                    Balance : {{ number_format($ic - $oc, 0, ',', '.') }}
                </td>
            </tr> --}}
        </table>
        <table class="table">
            <thead>
                <tr>
                    <th style="text-align: center; width: 8%">#</th>
                    <th>Date</th>
                    <th>Description</th>
                    <th>Incoming</th>
                    <th>Outgoing</th>
                    <th>Balance</th>
                </tr>
            </thead>
            <tbody>
                @php
                    $no = 1;
                @endphp
                @foreach ($report as $item)
                    <tr>
                        <td style="text-align: center">{{ $no++ }}</td>
                        <td>{{ date('d/m/Y', strtotime($item->date)) }}</td>
                        <td>{{ $item->description }}</td>
                        <td style="text-align: right">Rp.
                            {{ $item->status == 1 ? number_format($item->amount, 0, ',', '.') : '-' }}</td>
                        <td style="text-align: right">Rp.
                            {{ $item->status == 2 ? number_format($item->amount, 0, ',', '.') : '-' }}</td>
                        <td style="text-align: right">
                            Rp. {{ number_format($item->balance, 0, ',', '.') }}
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <div class="bottom">
            <table style="margin-top: 20px;">
                <tr>
                    <td style="text-align: center;">
                        Hormat Kami, <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <b>{{ $company->nama }}</b>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</body>

</html>
