@extends('template')

@section('content')
    <div class="page-info">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Apps</a></li>
                <li class="breadcrumb-item active" aria-current="page">Transaction</li>
            </ol>
        </nav>
    </div>
    @include('message')
    <div class="main-wrapper">
        {{-- <div class="card">
            <div class="card-body">
                <form action="" class="">
                    <div class="form-group row">
                        <div class="col-sm-2">
                            <label for="balance">Balance :</label>
                        </div>
                        @if (Auth::user()->level != 1)
                            <div class="col-sm-8">
                                <input type="text" class="form-control" name="balace" id="balace"
                                    value="{{ $balance }}">
                            </div>
                            <div class="col-sm-2">
                                <button type="submit" class="btn btn-primary"><i
                                        class="material-icons-outlined">edit</i>Edit </button>
                            </div>
                        @else
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="balace" id="balace"
                                    value="{{ $balance }}" readonly>
                            </div>
                        @endif
                    </div>
                </form>
            </div>
        </div> --}}
        <div class="row stats-row">
            <div class="col-lg-6 col-md-12">
                <div class="card card-transparent stats-card">
                    <div class="card-body">
                        <div class="stats-info">
                            @if (!$balance)
                                <h5 class="card-title stats-change stats-change-success">Rp. 0</h5>
                            @else
                                <h5 class="card-title stats-change stats-change-success">Rp.
                                    {{ number_format($balance->amount, 0, ',', '.') }}</h5>
                            @endif
                            <p class="stats-text">Saldo Awal</p>
                        </div>
                        <div class="stats-icon bg-secondary">
                            <i class="material-icons">wallet</i>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="card card-transparent stats-card">
                    <div class="card-body">
                        <div class="stats-info">
                            <h5 class="card-title stats-change stats-change-success">Rp.
                                {{ number_format($ic - $oc, 0, ',', '.') }}</h5>
                            <p class="stats-text">Saldo Akhir</p>
                        </div>
                        <div class="stats-icon bg-secondary">
                            <i class="material-icons">wallet</i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <a href="#" class="btn btn-primary rounded-pill btn-sm mb-4" data-toggle="modal"
                    data-target="#modalAdd"><i class="material-icons">add</i>Add</a>
                <div class="table-responsive">
                    <table class="table table-hover table-sm table-bordered" id="zero-conf">
                        <thead class="thead-dark">
                            <tr class="text-center">
                                {{-- <th style="width: 8%">#</th> --}}
                                <th>Sumber Dana</th>
                                <th>Date</th>
                                <th>Description</th>
                                <th>Amount</th>
                                <th>Kode Rekening</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php
                                $no = 1;
                            @endphp
                            @foreach ($transaction as $item)
                                <tr>
                                    {{-- <td class="text-center">{{ $no++ }}</td> --}}
                                    <td>
                                        {{ $item->sumber ? $item->sumber : 'CV. Greenusa Computindo' }}
                                    </td>
                                    <td>{{ date('d/m/Y', strtotime($item->date)) }}</td>
                                    <td>{{ $item->description }}</td>
                                    @if ($item->status == 1)
                                        <td class="text-right">Rp.{{ number_format($item->amount, 0, ',', '.') }}</td>
                                    @else
                                        <td class="text-right">Rp.{{ number_format(-$item->amount, 0, ',', '.') }}</td>
                                    @endif
                                    <td>
                                        {{ $item->kode_rekening ? $item->kode_rekening : 'none' }}
                                    </td>
                                    <td style="width: 8%">
                                        @if ($item->status == 1)
                                            <p class="text-success">{{ $item->status == 1 ? 'Incoming' : '' }}</p>
                                        @else
                                            <p class="text-danger">{{ $item->status == 2 ? 'Outgoing' : '' }}</p>
                                        @endif
                                    </td>
                                    <td class="text-center" style="width: 20%">
                                        <a href="#modalEdit" id="edit" data-toggle="modal" data-target="#modalEdit"
                                            class="btn btn-warning rounded-pill btn-sm" data-id="{{ $item->id }}"
                                            data-date="{{ $item->date }}" data-desc="{{ $item->description }}"
                                            data-amount="{{ $item->amount }}" data-cs="{{ $item->status }}"
                                            data-sumber="{{ $item->sumber }}" data-kode="{{ $item->kode_rekening }}"
                                            onclick="$('#modalEdit #formEdit').attr('action', '{{ route('transaction.update', Crypt::encryptString($item->id)) }}) }}')"><i
                                                class="material-icons-outlined">edit</i> </a>
                                        <a href="#modalDelete" data-toggle="modal" data-target="#modalDelete"
                                        class="btn btn-danger rounded-pill btn-sm"
                                        onclick="$('#modalDelete #formDelete').attr('action', '{{ route('transaction.destroy', Crypt::encryptString($item->id)) }}')"><i
                                                    class="material-icons-outlined">delete</i></a>
                                        <a href="/transaction/{{ Crypt::encryptString($item->id)  }}/cetak"
                                            class="btn btn-primary rounded-pill btn-sm"   target="_blank"><i class="material-icons-outlined">article</i> </a>
                                        
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    {{-- Modal Add --}}
    <div class="modal fade" id="modalAdd" tabindex="-1" role="dialog" aria-labelledby="modalAddLabel" Add
        Transaction="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalAddLabel">Add Transaction</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="{{ route('transaction.store') }}" method="post">
                    <div class="modal-body">
                        @csrf
                        <div class="form-group">
                            <label for="status">Status</label>
                            <select name="status" id="status" class="form-control custom-select" required>
                                <option value="">- Choose -</option>
                                <option value="1" {{ old('status') == 1 ? 'selected' : '' }}>Incoming</option>
                                <option value="2" {{ old('status') == 2 ? 'selected' : '' }}>Outgoing</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="sumber">Sumber Pemasukan</label>
                            <input type="text" name="sumber" value="{{ old('sumber') }}" class="form-control"
                                id="sumber" placeholder="Masukkan Instansi">
                        </div>
                        <div class="form-group">
                            <label for="desc">Description</label>
                            <textarea name="desc" id="desc" cols="30" value="{{ old('desc') }}" rows="3" class="form-control" placeholder="Masukkan Deskripsi"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" name="date" value="{{ old('date') }}" class="form-control"
                                id="date" required>
                        </div>
                        <div class="form-group">
                            <label for="amount">Amount</label>
                            <input type="number" name="amount" value="{{ old('amount') }}" class="form-control"
                                id="amount" placeholder="Amount" required>
                        </div>
                        <div class="form-group">
                            <label for="kode_rekening">Kode Rekening</label>
                            <input type="text" name="kode_rekening" value="{{ old('kode_rekening') }}" class="form-control"
                                id="kode_rekening" placeholder="boleh dikosongkan">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    {{-- Modal Update --}}
    <div class="modal fade" id="modalEdit" tabindex="-1" role="dialog" aria-labelledby="modalEditLabel" Edit
        Transaction="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalEditLabel">Edit Transaction</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formEdit">
                    <div class="modal-body">
                        @csrf
                        @method('put')
                        <div class="form-group">
                            <label for="status">Status</label>
                            <select name="status" id="status" class="form-control custom-select" required>
                                <option value="1">Incoming</option>
                                <option value="2">Outgoing</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="sumber">Sumber Pemasukan</label>
                            <input type="text" name="sumber" value="{{ old('sumber') }}" class="form-control"
                                id="sumber" placeholder="Masukkan Instansi">
                        </div>
                        <div class="form-group">
                            <label for="desc">Description</label>
                            <textarea name="desc" id="desc" cols="30" rows="3" class="form-control" placeholder="Masukkan Deskripsi"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" name="date" class="form-control" id="date" required>
                        </div>
                        <div class="form-group">
                            <label for="amount">Amount</label>
                            <input type="number" name="amount" class="form-control" id="amount"
                                placeholder="Amount" required>
                        </div>
                        <div class="form-group">
                            <label for="kode_rekening">Kode Rekening</label>
                            <input type="text" name="kode_rekening" value="{{ old('kode_rekening') }}" class="form-control"
                                id="kode_rekening" placeholder="boleh dikosongkan">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    {{-- Modal Delete --}}
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="modalDeleteLabel" Delete
        Transaction="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalDeleteLabel">Delete Transaction</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formDelete">
                    <div class="modal-body">
                        @csrf
                        @method('delete')
                        <p>Sure you want to delete cash status</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" autofocus>Yes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script>
        $(document).on('click', '#edit', function() {
            let cs = $(this).data('cs')
            let sumber = $(this).data('sumber')
            let date = $(this).data('date')
            let amount = $(this).data('amount')
            let desc = $(this).data('desc')
            let kode = $(this).data('kode')

            $('#modalEdit #status option').each(function() {
                if ($(this).val() == cs) {
                    $(this).prop('selected', true);
                }
            });
            $('#modalEdit #date').val(date)
            $('#modalEdit #amount').val(amount)
            $('#modalEdit #desc').val(desc)
            $('#modalEdit #sumber').val(sumber)
            $('#modalEdit #kode_rekening').val(kode)

            // Setelah mengisi data, atur status input sumber berdasarkan status yang dipilih
            if (cs == '2') { // Jika status "Outgoing"
                $('#modalEdit #sumber').val(''); // Mengosongkan nilai input sumber
                $('#modalEdit #sumber').prop('disabled', true); // Menonaktifkan input sumber
            } else {
                $('#modalEdit #sumber').prop('disabled', false); // Mengaktifkan input sumber
            };

            // Tambahkan event listener untuk input status
            $('#modalEdit #status').on('change', function() {
                if ($(this).val() === '1') { // Jika status "Incoming"
                    $('#modalEdit #sumber').prop('disabled', false); // Mengaktifkan kembali input sumber
                    $('#modalEdit #sumber').val(sumber)
                } else { // Jika status "Outgoing"
                    $('#modalEdit #sumber').prop('disabled', true); // Menonaktifkan input sumber
                    $('#modalEdit #sumber').val('Input Ditutup !'); // Mengosongkan nilai input sumber
                }
            });
        });


        $(document).on('click', '#detail', function() {
            let desc = $(this).data('desc')
            $('#modalDetail #desc').val(desc)
        })

        /* Logika Input Sumber Pemasukan */
        $(document).ready(function() {
        const $statusSelect = $('#status');
        const $sumberInput = $('#sumber');

        // Event listener saat nilai status berubah
        $statusSelect.on('change', function() {
            if ($(this).val() == '2') { // Jika status "Outgoing"
                $sumberInput.val(''); // Mengosongkan nilai input sumber
                $sumberInput.prop('disabled', true); // Menonaktifkan input sumber
                $sumberInput.attr('placeholder','Input Ditutup')
            } else {
                $sumberInput.prop('disabled', false); // Mengaktifkan input sumber
                $sumberInput.attr('placeholder','Masukkan Instansi')
            }
        });

        // Memastikan status input sumber teratur saat halaman dimuat dalam mode "Edit"
        if ($statusSelect.val() == '2') {
            $sumberInput.prop('disabled', true); // Menonaktifkan input sumber
        }
    });
        /* Tutup Logika Input Sumber Pemasukan */
    </script>
@endsection
