<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>{{ $title }}</title>
    <style>
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .logo {
            height: 80px;
            margin-right: 20px;
        }

        .address {
            font-size: 14px;
            line-height: 1.0;
            text-align: center;
        }

        .content {
            margin-top: 20px;
        }

        .table {
            border-collapse: collapse;
            width: 100%;
        }

        .table th,
        .table td {
            border: 1px solid black;
            padding: 5px;
        }

        .table th {
            background-color: #7bfd01;
        }

        .footer {
            margin-top: 20px;
            text-align: left;
        }

        .address h3 {
            margin-bottom: none;
        }

        .bottom {
            padding-left: 70%;
            display: flex;
            justify-content: flex-end;
        }
    </style>
</head>

<body>
    <div class="header">
        <table>
            <tr>
                <td>
                    <img src="{{ public_path('images/Logo-Greennusa.png') }}" alt="Logo" class="logo" width="200px"
                        height="100px">
                </td>
                <td>
                    <div class="address">
                        <h2><b>CV. Greennusa Computindo</b></h2>
                        Jl. Siradj Salman Ruko Grand Mahakam Residence No. 09-10, Kec. Samarinda Ulu, Kota Samarinda,
                        Kalimantan Timur 75124<br>
                        Email: greennusa.net@gmail.com<br>
                        Tel: 0813-4803-9947
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div class="content">
        <table class="table">
            <thead>
                <tr>
                    <th style="text-align: center; width: 10%">#</th>
                    <th>Photo</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Level</th>
                </tr>
            </thead>
            <tbody>
                @php
                    $no = 1;
                @endphp
                @foreach ($users as $item)
                    <tr style="text-align: center">
                        <td style="width: 10%">{{ $no++ }}</td>
                        <td>
                            @if ($item->photo != '')
                                <img src="{{ public_path('images') . '/' . $item->photo }}" alt="profile image"
                                    style="width: 150px">
                            @else
                                <img src="{{ public_path('images/default.png') }}" alt="profile image"
                                    style="width: 150px">
                            @endif
                        </td>
                        <td>{{ $item->name }}</td>
                        <td>{{ $item->email }}</td>
                        <td>{{ $item->level == 1 ? 'Bendahara' : 'Pimpinan' }}</td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <div class="bottom">
            <table style="margin-top: 20px;">
                <tr>
                    <td style="text-align: center;">
                        Hormat Kami, <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <b><u>Priyo Sudarsono, S. M</u></b><br>
                        <b>CV. Green Nusa Computindo</b>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</body>

</html>
