<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ReportController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\TransactionController;
use App\Http\Controllers\CompanyController;

Route::get('/', [AuthController::class, 'index'])->name('login');
Route::post('/postLogin', [AuthController::class, 'postLogin'])->name('postLogin');

Route::get('/report', [ReportController::class, 'index'])->name('report');
Route::post('/report', [ReportController::class, 'index']);
Route::post('/printReport', [ReportController::class, 'print'])->name('printr');

Route::get('/404', function () {
    return view('error-404');
})->name('error-404');



Route::middleware('auth')->group(function () {
    Route::get('/logout', [AuthController::class, 'logout'])->name('logout');
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::get('/profile', [UserController::class, 'profile'])->name('profile');
    Route::put('/profile/{id}', [UserController::class, 'profileUpdate'])->name('profile.update');
    Route::middleware('level')->group(function () {

        // Transaction
        Route::resource('transaction', TransactionController::class);
        Route::get('transaction/{id}/cetak', [TransactionController::class, 'cetak']);

        // User
        Route::resource('users', UserController::class);
        Route::get('/printUser', [UserController::class, 'print'])->name('printu');

        // company resource
        Route::controller(CompanyController::class)->group(function () {
            Route::get('/company', 'index');
            Route::put('/company/{id}', 'update');
        });
    });
});