<!DOCTYPE html>
<html lang="en">

<head>
    <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Responsive Admin Dashboard Template">
    <meta name="keywords" content="admin,dashboard">
    <meta name="author" content="stacks">

    <!-- Title -->
    <title><?php echo e($title); ?></title>
    <link rel="shortcut icon" href="<?php echo e(asset('images')); ?>/favicon.png" />

    <!-- Styles -->
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700&display=swap" rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css?family=Material+Icons|Material+Icons+Outlined|Material+Icons+Two+Tone|Material+Icons+Round|Material+Icons+Sharp"
        rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/font-awesome/css/all.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/DataTables/datatables.min.css" rel="stylesheet">

    <!-- Theme Styles -->
    <link href="<?php echo e(asset('template')); ?>/css/connect.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/css/dark_theme.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/css/custom.css" rel="stylesheet">
</head>

<body>
    <?php
    use Illuminate\Http\Request;
    $request = Request();
    ?>
    <div class='loader'>
        <div class='spinner-grow text-primary' role='status'>
            <span class='sr-only'>Loading...</span>
        </div>
    </div>
    <div class="connect-container align-content-stretch d-flex flex-wrap">
        <div class="page-sidebar">
            <div class="logo-box"><a href="#" class="logo-text"><img
                        src="<?php echo e(asset('images/Logo-Greennusa.png')); ?>" alt="" style="width: 70%"></a><a
                    href="#" id="sidebar-close"><i class="material-icons">close</i></a> <a href="#"
                    id="sidebar-state"><i class="material-icons">adjust</i><i
                        class="material-icons compact-sidebar-icon">panorama_fish_eye</i></a></div>
            <div class="page-sidebar-inner slimscroll">
                <ul class="accordion-menu">
                    <li class="sidebar-title">
                        Apps
                    </li>
                    <li class="<?php echo e($request->segment(1) == 'report' ? 'active-page' : ''); ?>">
                        <a href="<?php echo e(route('report')); ?>"
                            class="<?php echo e($request->segment(1) == 'report' ? 'active-page' : ''); ?>"><i
                                class="material-icons-outlined">description</i>Report</a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="page-container">
            <div class="page-header">
                <nav class="navbar navbar-expand">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                        aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <ul class="navbar-nav">
                        <li class="nav-item small-screens-sidebar-link">
                            <a href="#" class="nav-link"><i class="material-icons-outlined">menu</i></a>
                        </li>
                        <li class="nav-item">
                            <a href="/"><i class="material-icons-outlined">logout</i> Back To Login Form</a>
                        </li>
                    </ul>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a href="#" class="nav-link" id="dark-theme-toggle"><i
                                        class="material-icons-outlined">brightness_2</i><i
                                        class="material-icons">brightness_2</i></a>
                            </li>
                            <div class="collapse navbar-collapse" id="navbarNav">
                                <div id="clock"></div>
                            </div>
                        </ul>
                    </div>
                </nav>
            </div>
            <script src="<?php echo e(asset('template')); ?>/plugins/jquery/jquery-3.4.1.min.js"></script>
            <div class="page-content">
                <div class="row stats-row">
                    <div class="col-lg-4 col-md-12">
                        <div class="card card-transparent stats-card">
                            <div class="card-body">
                                <div class="stats-info">
                                    <h5 class="card-title stats-change stats-change-success">Rp.
                                        <?php echo e(number_format($ic - $oc, 0, ',', '.')); ?></h5>
                                    <p class="stats-text">Balance</p>
                                </div>
                                <div class="stats-icon bg-secondary">
                                    <i class="material-icons">wallet</i>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-12">
                        <div class="card card-transparent stats-card">
                            <div class="card-body">
                                <div class="stats-info">
                                    <h5 class="card-title stats-change stats-change-success">Rp.
                                        <?php echo e(number_format($ic, 0, ',', '.')); ?></h5>
                                    <p class="stats-text">Incoming Cash</p>
                                </div>
                                <div class="stats-icon change-success">
                                    <i class="material-icons">add</i>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-12">
                        <div class="card card-transparent stats-card">
                            <div class="card-body">
                                <div class="stats-info">
                                    <h5 class="card-title">Rp. <?php echo e(number_format($oc, 0, ',', '.')); ?></h5>
                                    <p class="stats-text">Outgoing Cash</p>
                                </div>
                                <div class="stats-icon change-danger">
                                    <i class="material-icons">remove</i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php echo $__env->make('message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="main-wrapper">
                    <div class="card">
                        <div class="card-body">
                            <form action="" method="post" id="myForm">
                                <?php echo csrf_field(); ?>
                                <div class="form-group row">
                                    <label for="begin" class="col-sm-2 col-form-label text-center">Filter By Month
                                        :</label>
                                    <div class="col-sm-6">
                                        <input type="month" name="month" class="form-control text-center"
                                            id="end" value="">
                                    </div>
                                    <div class="col-sm-2 text-center">
                                        <button type="submit" class="btn btn-secondary rounded-pill"><i
                                                class="material-icons">filter_alt</i> Filter</button>
                                    </div>
                                    <div class="col-sm-2 text-center">
                                        <a href="<?php echo e(route('report')); ?>" class="btn btn-warning rounded-pill"><i
                                                class="material-icons">refresh</i> Reset</a></a>
                                    </div>
                                </div>
                            </form>
                            <?php if($report != ''): ?>
                                <p class="btn btn-info rounded-pill" style="width:100%">You display data for the month
                                    <?php echo e(date('F - Y', mktime(0, 0, 0, $month, 1))); ?>

                                </p>
                            <?php else: ?>
                                <p class="btn btn-info  rounded-pill" style="width:100%">You display data for the
                                    month (month - year)</p>
                            <?php endif; ?>
                            <div class="table-responsive">
                                <table class="table table-hover table-sm table-bordered" id="zero-conf">
                                    <thead class="thead-dark">
                                        <tr>
                                            <th style="width: 8%" class="text-center">#</th>
                                            <th>Date</th>
                                            <th>Description</th>
                                            <th>Incoming</th>
                                            <th>Outgoing</th>
                                            <th>Balance</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $no = 1;
                                        ?>
                                        <?php if($report == ''): ?>
                                            <tr>
                                                <td colspan="6" class="text-center">Please filter by the period you
                                                    want to print
                                                    first.</td>
                                            </tr>
                                        <?php else: ?>
                                            <?php $__currentLoopData = $report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td class="text-center"><?php echo e($no++); ?></td>
                                                    <td><?php echo e(date('d/m/Y', strtotime($item->date))); ?></td>
                                                    <td><?php echo e($item->description); ?></td>
                                                    <td style="text-align: right">Rp.
                                                        <?php echo e($item->status == 1 ? number_format($item->amount, 0, ',', '.') : '-'); ?>

                                                    </td>
                                                    <td style="text-align: right">Rp.
                                                        <?php echo e($item->status == 2 ? number_format($item->amount, 0, ',', '.') : '-'); ?>

                                                    </td>
                                                    <td style="text-align: right">
                                                        Rp. <?php echo e(number_format($item->balance, 0, ',', '.')); ?>

                                                    </td>
                                                </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                            <?php if($report != ''): ?>
                                <form action="<?php echo e(route('printr')); ?>" method="post" class="mt-2">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="month" value="<?php echo e($monthYear); ?>">
                                    <div class="text-center">
                                        <button type="submit" class="btn btn-primary rounded-pill"><i
                                                class="material-icons">print</i>
                                            Print</button>
                                    </div>
                                </form>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <script>
                    document.getElementById('resetBtn').addEventListener('click', function() {
                        document.getElementById('myForm').reset();
                    });
                </script>
            </div>
            <div class="page-footer">
                <div class="row">
                    <div class="col-md-12">
                        <span class="footer-text"><?php echo e(date('Y')); ?> || Create By Arnold © Always Reversed</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Javascripts -->
    <script src="<?php echo e(asset('template')); ?>/plugins/bootstrap/popper.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/DataTables/datatables.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/apexcharts/dist/apexcharts.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/bootstrap/js/bootstrap.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/js/connect.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/js/pages/dashboard.js"></script>
    </script>
    <script type="text/javascript">
        function showTime() {
            var months = ['January', 'February', 'March', 'April', 'Mei', 'June', 'July', 'August', 'September', 'October',
                'November', 'December'
            ];
            var myDays = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thusrday', 'Friday', 'Saturday'];
            var date = new Date();
            var day = date.getDate();
            var month = date.getMonth();
            var thisDay = date.getDay(),
                thisDay = myDays[thisDay];
            var yy = date.getYear();
            var year = (yy < 1000) ? yy + 1900 : yy;

            var a_p = "";
            var today = new Date();
            var curr_hour = today.getHours();
            var curr_minute = today.getMinutes();
            var curr_second = today.getSeconds();
            if (curr_hour < 12) {
                a_p = "AM";
            } else {
                a_p = "PM";
            }
            if (curr_hour == 0) {
                curr_hour = 12;
            }
            if (curr_hour > 12) {
                curr_hour = curr_hour - 12;
            }
            curr_hour = checkTime(curr_hour);
            curr_minute = checkTime(curr_minute);
            curr_second = checkTime(curr_second);
            document.getElementById('clock').innerHTML = thisDay + ', ' + day + ' ' + months[
                    month] +
                ' ' +
                year + ' ' + curr_hour + ":" + curr_minute + ":" + curr_second + " " + a_p;
        }

        function checkTime(i) {
            if (i < 10) {
                i = "0" + i;
            }
            return i;
        }
        setInterval(showTime, 500);
    </script>
    <script>
        setTimeout(function() {
            document.querySelector('.alert').style.display = 'none';
        }, 3000);
    </script>
    <script>
        $(document).ready(function() {
            $('#zero-conf').DataTable();
        });
    </script>
</body>

</html>
<?php /**PATH D:\laravel\E-Cash_TA\resources\views/report/index2.blade.php ENDPATH**/ ?>