

<?php $__env->startSection('content'); ?>
    <div class="page-info">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Apps</a></li>
                <li class="breadcrumb-item active" aria-current="page">Cash Status</li>
            </ol>
        </nav>
    </div>
    <?php echo $__env->make('message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="main-wrapper">
        <div class="card">
            <div class="card-body">
                <a href="#" class="btn btn-primary rounded-pill btn-sm mb-4" data-toggle="modal" data-target="#modalAdd"><i class="material-icons">add</i>Add</a>
                <a href="<?php echo e(route('printcs')); ?>" class="btn btn-secondary rounded-pill btn-sm mb-4" target="_blank"><i class="material-icons">print</i> Print</a>
                <div class="table-responsive">
                    <table class="table table-hover table-sm table-bordered" id="zero-conf">
                        <thead class="thead-dark">
                            <tr>
                                <th style="width: 8%" class="text-center">#</th>
                                <th>Status</th>
                                <th>Type</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $no = 1;
                            ?>
                            <?php $__currentLoopData = $cashStatus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="text-center"><?php echo e($no++); ?></td>
                                <td><?php echo e($item->status); ?></td>
                                <td><?php echo e($item->type == 1 ? 'Cash In' : 'Cash Out'); ?></td>
                                <td style="width: 25%">
                                    <a href="#modalEdit" id="edit" data-toggle="modal" data-target="#modalEdit" class="btn btn-warning btn-sm rounded-pill" 
                                        data-id="<?php echo e($item->id); ?>"
                                        data-status="<?php echo e($item->status); ?>"
                                        data-type="<?php echo e($item->type); ?>"
                                        onclick="$('#modalEdit #formEdit').attr('action', '<?php echo e(route('cashStatus.update', Crypt::encryptString($item->id))); ?>')"
                                    ><i class="material-icons-outlined">edit</i>Edit</a>
                                    <a href="#modalDelete" data-toggle="modal" data-target="#modalDelete" class="btn btn-danger btn-sm rounded-pill" onclick="$('#modalDelete #formDelete').attr('action', '<?php echo e(route('cashStatus.destroy', Crypt::encryptString($item->id))); ?>')"><i class="material-icons-outlined">delete</i>Delete</a>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>  
            </div>
        </div>    
    </div>

    
    <div class="modal fade" id="modalAdd" tabindex="-1" role="dialog" aria-labelledby="modalAddLabel" Add Cash Status="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalAddLabel">Add Cash Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="<?php echo e(route('cashStatus.store')); ?>" method="post">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label for="status">Status</label>
                            <input type="text" name="status" class="form-control" id="status" placeholder="Status" required>
                            
                        </div>
                        <div class="form-group">
                            <label for="type">Type</label>
                            <select name="type" id="type" class="form-control custom-select" required>
                                <option value="">- Pilih -</option>
                                <option value="1">Cash In</option>
                                <option value="2">Cash Out</option>
                            </select>
                            
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalEdit" tabindex="-1" role="dialog" aria-labelledby="modalEditLabel" Add Cash Status="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalEditLabel">Edit Cash Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formEdit">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>
                        <div class="form-group">
                            <label for="status">Status</label>
                            <input type="text" id="status" name="status" class="form-control" placeholder="Status" required>
                            
                        </div>
                        <div class="form-group">
                            <label for="type">Type</label>
                            <select name="type" id="type" class="form-control custom-select" required>
                                <option value="1">Cash In</option>
                                <option value="2">Cash Out</option>
                            </select>
                            
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="modalDeleteLabel" Add Cash Status="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalDeleteLabel">Delete Cash Status</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formDelete">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('delete'); ?>
                        <p>Sure you want to delete cash status</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" autofocus>Yes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>
        $(document).on('click', '#edit', function(){
            let sts = $(this).data('status')
            let type = $(this).data('type')

            $('#modalEdit #status').val(sts)
            $('#modalEdit #type option').each(function() {
                if ($(this).val() == type) {
                    $(this).prop('selected', true);
                }
            });
        })
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\All_Program-Laravel\E-Cash_TA\resources\views/cashStatus/index.blade.php ENDPATH**/ ?>