

<?php $__env->startSection('content'); ?>
    <div class="page-info">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Apps</a></li>
                <li class="breadcrumb-item active" aria-current="page">Transaction</li>
            </ol>
        </nav>
    </div>
    <?php echo $__env->make('message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="main-wrapper">
        
        <div class="row stats-row">
            <div class="col-lg-6 col-md-12">
                <div class="card card-transparent stats-card">
                    <div class="card-body">
                        <div class="stats-info">
                            <?php if(!$balance): ?>
                                <h5 class="card-title stats-change stats-change-success">Rp. 0</h5>
                            <?php else: ?>
                                <h5 class="card-title stats-change stats-change-success">Rp.
                                    <?php echo e(number_format($balance->amount, 0, ',', '.')); ?></h5>
                            <?php endif; ?>
                            <p class="stats-text">Begining Balance</p>
                        </div>
                        <div class="stats-icon bg-secondary">
                            <i class="material-icons">wallet</i>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="card card-transparent stats-card">
                    <div class="card-body">
                        <div class="stats-info">
                            <h5 class="card-title stats-change stats-change-success">Rp.
                                <?php echo e(number_format($ic - $oc, 0, ',', '.')); ?></h5>
                            <p class="stats-text">Balance</p>
                        </div>
                        <div class="stats-icon bg-secondary">
                            <i class="material-icons">wallet</i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <a href="#" class="btn btn-primary rounded-pill btn-sm mb-4" data-toggle="modal"
                    data-target="#modalAdd"><i class="material-icons">add</i>Add</a>
                <div class="table-responsive">
                    <table class="table table-hover table-sm table-bordered" id="zero-conf">
                        <thead class="thead-dark">
                            <tr class="text-center">
                                <th style="width: 8%">#</th>
                                <th>Date</th>
                                <th>Description</th>
                                <th>Amount</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $no = 1;
                            ?>
                            <?php $__currentLoopData = $transaction; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td class="text-center"><?php echo e($no++); ?></td>
                                    <td><?php echo e(date('d/m/Y', strtotime($item->date))); ?></td>
                                    <td><?php echo e($item->description); ?></td>
                                    <?php if($item->status == 1): ?>
                                        <td class="text-right">Rp. <?php echo e(number_format($item->amount, 0, ',', '.')); ?></td>
                                    <?php else: ?>
                                        <td class="text-right">Rp. <?php echo e(number_format(-$item->amount, 0, ',', '.')); ?></td>
                                    <?php endif; ?>
                                    <td style="width: 8%">
                                        <?php if($item->status == 1): ?>
                                            <p class="text-success"><?php echo e($item->status == 1 ? 'Incoming' : ''); ?></p>
                                        <?php else: ?>
                                            <p class="text-danger"><?php echo e($item->status == 2 ? 'Outgoing' : ''); ?></p>
                                        <?php endif; ?>
                                    </td>
                                    <td class="text-center" style="width: 20%">
                                        <a href="#modalEdit" id="edit" data-toggle="modal" data-target="#modalEdit"
                                            class="btn btn-warning rounded-pill btn-sm" data-id="<?php echo e($item->id); ?>"
                                            data-date="<?php echo e($item->date); ?>" data-desc="<?php echo e($item->description); ?>"
                                            data-amount="<?php echo e($item->amount); ?>" data-cs="<?php echo e($item->status); ?>"
                                            onclick="$('#modalEdit #formEdit').attr('action', '<?php echo e(route('transaction.update', Crypt::encryptString($item->id))); ?>) }}')"><i
                                                class="material-icons-outlined">edit</i> </a>
                                        <a href="#modalDelete" data-toggle="modal" data-target="#modalDelete"
                                            class="btn btn-danger rounded-pill btn-sm"
                                            onclick="$('#modalDelete #formDelete').attr('action', '<?php echo e(route('transaction.destroy', Crypt::encryptString($item->id))); ?>')"><i
                                                class="material-icons-outlined">delete</i></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalAdd" tabindex="-1" role="dialog" aria-labelledby="modalAddLabel" Add
        Transaction="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalAddLabel">Add Transaction</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="<?php echo e(route('transaction.store')); ?>" method="post">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label for="desc">Description</label>
                            <textarea name="desc" id="desc" cols="30" value="<?php echo e(old('desc')); ?>" rows="3" class="form-control"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" name="date" value="<?php echo e(old('date')); ?>" class="form-control"
                                id="date" required>
                        </div>
                        <div class="form-group">
                            <label for="amount">Amount</label>
                            <input type="number" name="amount" value="<?php echo e(old('amount')); ?>" class="form-control"
                                id="amount" placeholder="Amount" required>
                        </div>
                        <div class="form-group">
                            <label for="status">Status</label>
                            <select name="status" id="status" class="form-control custom-select" required>
                                <option value="">- Choose -</option>
                                <option value="1" <?php echo e(old('status') == 1 ? 'selected' : ''); ?>>Incoming</option>
                                <option value="2" <?php echo e(old('status') == 2 ? 'selected' : ''); ?>>Outgoing</option>
                            </select>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalEdit" tabindex="-1" role="dialog" aria-labelledby="modalEditLabel" Edit
        Transaction="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalEditLabel">Edit Transaction</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formEdit">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>
                        <div class="form-group">
                            <label for="desc">Description</label>
                            <textarea name="desc" id="desc" cols="30" rows="3" class="form-control"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" name="date" class="form-control" id="date" required>
                        </div>
                        <div class="form-group">
                            <label for="amount">Amount</label>
                            <input type="number" name="amount" class="form-control" id="amount"
                                placeholder="Amount" required>
                        </div>
                        <div class="form-group">
                            <label for="status">Status</label>
                            <select name="status" id="status" class="form-control custom-select" required>
                                <option value="1">Incoming</option>
                                <option value="2">Outgoing</option>
                            </select>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="modalDeleteLabel" Delete
        Transaction="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalDeleteLabel">Delete Transaction</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formDelete">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('delete'); ?>
                        <p>Sure you want to delete cash status</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" autofocus>Yes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script>
        $(document).on('click', '#edit', function() {
            let cs = $(this).data('cs')
            let date = $(this).data('date')
            let amount = $(this).data('amount')
            let desc = $(this).data('desc')

            $('#modalEdit #status option').each(function() {
                if ($(this).val() == cs) {
                    $(this).prop('selected', true);
                }
            });
            $('#modalEdit #date').val(date)
            $('#modalEdit #amount').val(amount)
            $('#modalEdit #desc').val(desc)
        })

        $(document).on('click', '#detail', function() {
            let desc = $(this).data('desc')
            $('#modalDetail #desc').val(desc)
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\All Program-Laravel\E-Cash_TA\resources\views/transaction/index.blade.php ENDPATH**/ ?>