<!DOCTYPE html>
<html lang="en">

<head>
    <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Responsive Admin Dashboard Template">
    <meta name="keywords" content="admin,dashboard">
    <meta name="author" content="stacks">

    <!-- Title -->
    <title><?php echo e($title); ?></title>
    <link rel="shortcut icon" href="<?php echo e(asset('images')); ?>/favicon.png" />

    <!-- Styles -->
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700&display=swap" rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css?family=Material+Icons|Material+Icons+Outlined|Material+Icons+Two+Tone|Material+Icons+Round|Material+Icons+Sharp"
        rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/font-awesome/css/all.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/DataTables/datatables.min.css" rel="stylesheet">

    <!-- Theme Styles -->
    <link href="<?php echo e(asset('template')); ?>/css/connect.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/css/dark_theme.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/css/custom.css" rel="stylesheet">
</head>

<body>
    <?php
    use Illuminate\Http\Request;
    use App\Models\Company;
    $request = Request();
    ?>
    <div class='loader'>
        <div class='spinner-grow text-primary' role='status'>
            <span class='sr-only'>Loading...</span>
        </div>
    </div>
    <div class="connect-container align-content-stretch d-flex flex-wrap">
        <div class="page-sidebar">
            <div class="logo-box"><a href="#" class="logo-text"><img 
                        src="<?php echo e(asset('images')); ?>/<?php echo e(Company::first()->photo); ?>" alt="" style="width: 70%;"></a><a
                    href="#" id="sidebar-close"><i class="material-icons">close</i></a> <a href="#"
                    id="sidebar-state"><i class="material-icons">adjust</i><i
                        class="material-icons compact-sidebar-icon">panorama_fish_eye</i></a></div>
            <div class="page-sidebar-inner slimscroll">
                <ul class="accordion-menu">
                    <li class="sidebar-title">
                        Apps
                    </li>
                    <li class="<?php echo e($request->segment(1) == 'dashboard' ? 'active-page' : ''); ?>">
                        <a href="/dashboard" class="<?php echo e($request->segment(1) == 'dashboard' ? 'active' : ''); ?>"><i
                                class="material-icons-outlined">dashboard</i>Dashboard</a>
                    </li>
                    <?php if(Auth::user()->level == 1): ?>
                        <li class="<?php echo e($request->segment(1) == 'transaction' ? 'active-page' : ''); ?>">
                            <a href="/transaction" class="<?php echo e($request->segment(1) == 'transaction' ? 'active' : ''); ?>"><i
                                    class="material-icons-outlined">paid</i>Transaction</a>
                        </li>
                        <li class="<?php echo e($request->segment(1) == 'report' ? 'active-page' : ''); ?>">
                            <a href="<?php echo e(route('report')); ?>"
                                class="<?php echo e($request->segment(1) == 'report' ? 'active-page' : ''); ?>"><i
                                    class="material-icons-outlined">description</i>Report</a>
                        </li>
                        <li class="<?php echo e($request->segment(1) == 'users' ? 'active-page' : ''); ?>">
                            <a href="<?php echo e(route('users.index')); ?>"
                                class="<?php echo e($request->segment(1) == 'users' ? 'active-page' : ''); ?>"><i
                                    class="material-icons-outlined">person</i>User</a>
                        </li>
                        <li class="<?php echo e($request->segment(1) == 'company' ? 'active-page' : ''); ?>">
                            <a href="/company"
                                class="<?php echo e($request->segment(1) == 'company' ? 'active-page' : ''); ?>"><i
                                    class="material-icons-outlined">apartment</i>Company's Info</a>
                        </li>
                    <?php else: ?>
                        <li class="<?php echo e($request->segment(1) == 'report' ? 'active-page' : ''); ?>">
                            <a href="<?php echo e(route('report')); ?>"
                                class="<?php echo e($request->segment(1) == 'report' ? 'active-page' : ''); ?>"><i
                                    class="material-icons-outlined">description</i>Report</a>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
        <div class="page-container">
            <div class="page-header">
                <nav class="navbar navbar-expand">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                        aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <ul class="navbar-nav">
                        <li class="nav-item small-screens-sidebar-link">
                            <a href="#" class="nav-link"><i class="material-icons-outlined">menu</i></a>
                        </li>
                        <li class="nav-item nav-profile dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <?php if(Auth::user()->photo != ''): ?>
                                    <img src="<?php echo e(asset('images') . '/' . Auth::user()->photo); ?>" alt="profile image">
                                <?php else: ?>
                                    <img src="<?php echo e(asset('images/default.png')); ?>" alt="profile image">
                                <?php endif; ?>
                                <span><?php echo e(Auth::user()->name); ?></span><i
                                    class="material-icons dropdown-icon">keyboard_arrow_down</i>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="<?php echo e(route('profile')); ?>">Profile</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" data-toggle="modal"
                                    data-target="#modalLogout">Log out</a>
                            </div>
                        </li>
                    </ul>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a href="#" class="nav-link" id="dark-theme-toggle"><i
                                        class="material-icons-outlined">brightness_2</i><i
                                        class="material-icons">brightness_2</i></a>
                            </li>
                            <div class="collapse navbar-collapse" id="navbarNav">
                                <div id="clock"></div>
                            </div>
                        </ul>
                    </div>
                </nav>
            </div>
            <script src="<?php echo e(asset('template')); ?>/plugins/jquery/jquery-3.4.1.min.js"></script>
            <div class="page-content">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
            <div class="page-footer">
                <div class="row">
                    <div class="col-md-12">
                        <span class="footer-text"><?php echo e(date('Y')); ?> || Create By Arnold © Always Reversed</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalLogout" tabindex="-1" role="dialog" aria-labelledby="modalLogoutLabel" Add
        Users="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalLogoutLabel">Warning</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Sure you want to log out?</p>
                </div>
                <div class="modal-footer">
                    <a href="<?php echo e(route('logout')); ?>" class="btn btn-primary" autofocus>Yes</a>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Javascripts -->
    <script src="<?php echo e(asset('template')); ?>/plugins/bootstrap/popper.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/DataTables/datatables.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/apexcharts/dist/apexcharts.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/bootstrap/js/bootstrap.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/js/connect.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/js/pages/dashboard.js"></script>
    </script>
    <script type="text/javascript">
        function showTime() {
            var months = ['January', 'February', 'March', 'April', 'Mei', 'June', 'July', 'August', 'September', 'October',
                'November', 'December'
            ];
            var myDays = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thusrday', 'Friday', 'Saturday'];
            var date = new Date();
            var day = date.getDate();
            var month = date.getMonth();
            var thisDay = date.getDay(),
                thisDay = myDays[thisDay];
            var yy = date.getYear();
            var year = (yy < 1000) ? yy + 1900 : yy;

            var a_p = "";
            var today = new Date();
            var curr_hour = today.getHours();
            var curr_minute = today.getMinutes();
            var curr_second = today.getSeconds();
            if (curr_hour < 12) {
                a_p = "AM";
            } else {
                a_p = "PM";
            }
            if (curr_hour == 0) {
                curr_hour = 12;
            }
            if (curr_hour > 12) {
                curr_hour = curr_hour - 12;
            }
            curr_hour = checkTime(curr_hour);
            curr_minute = checkTime(curr_minute);
            curr_second = checkTime(curr_second);
            document.getElementById('clock').innerHTML = thisDay + ', ' + day + ' ' + months[
                    month] +
                ' ' +
                year + ' ' + curr_hour + ":" + curr_minute + ":" + curr_second + " " + a_p;
        }

        function checkTime(i) {
            if (i < 10) {
                i = "0" + i;
            }
            return i;
        }
        setInterval(showTime, 500);
    </script>
    <script>
        setTimeout(function() {
            document.querySelector('.alert').style.display = 'none';
        }, 3000);
    </script>
    <script>
        $(document).ready(function() {
            $('#zero-conf').DataTable();
        });
    </script>
</body>

</html>
<?php /**PATH D:\laravel\E-Cash_TA\resources\views/template.blade.php ENDPATH**/ ?>