<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Responsive Admin Dashboard Template">
    <meta name="keywords" content="admin,dashboard">
    <meta name="author" content="stacks">
    <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <!-- Title -->
    <title>E-Cash - Login</title>
    <link rel="shortcut icon" href="<?php echo e(asset('images')); ?>/favicon.png" />

    <!-- Styles -->
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700&display=swap" rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css?family=Material+Icons|Material+Icons+Outlined|Material+Icons+Two+Tone|Material+Icons+Round|Material+Icons+Sharp"
        rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/plugins/font-awesome/css/all.min.css" rel="stylesheet">

    <!-- Theme Styles -->
    <link href="<?php echo e(asset('template')); ?>/css/connect.min.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/css/dark_theme.css" rel="stylesheet">
    <link href="<?php echo e(asset('template')); ?>/css/custom.css" rel="stylesheet">

    <style>
        .alert {
            transition: opacity 0.5s ease-in-out;
            opacity: 1;
        }

        .alert.hidden {
            opacity: 0;
        }
    </style>
</head>

<body class="auth-page sign-in">
    <div class='loader'>
        <div class='spinner-grow text-primary' role='status'>
            <span class='sr-only'>Loading...</span>
        </div>
    </div>
    <div class="connect-container align-content-stretch d-flex flex-wrap">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-5">
                    <div class="auth-form">
                        <div class="row">
                            <div class="col">
                                <div class="logo-box">
                                    <a href="https://green-nusa.net/" target="_blank" class="logo-text">
                                        <img src="<?php echo e(asset('images/Logo-Greennusa.png')); ?>" alt=""
                                            style="width: 60%">
                                    </a>
                                </div>
                                <?php echo $__env->make('message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                <form action="<?php echo e(route('postLogin')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <div class="form-group">
                                        <input type="email" class="form-control" name="email" id="email"
                                            aria-describedby="emailHelp" placeholder="Enter email">
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control" name="password" id="password"
                                            placeholder="Password">
                                    </div>
                                    <button type="submit" value="submit"
                                        class="btn btn-primary btn-block btn-submit">Log In</button>
                                    <a href="<?php echo e(route('report')); ?>" class="btn btn-secondary btn-block">
                                        
                                        Go To Report Data</a>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 d-none d-lg-block d-xl-block">
                    <div class="auth-image"></div>
                </div>
            </div>
        </div>
    </div>

    <!-- Javascripts -->
    <script src="<?php echo e(asset('template')); ?>/plugins/jquery/jquery-3.4.1.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/bootstrap/popper.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/bootstrap/js/bootstrap.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/plugins/jquery-slimscroll/jquery.slimscroll.min.js"></script>
    <script src="<?php echo e(asset('template')); ?>/js/connect.min.js"></script>
    <script>
        setTimeout(function() {
            document.querySelector('.alert').style.display = 'none';
        }, 3000);
    </script>

</body>

</html>
<?php /**PATH D:\All Program-Laravel\E-Cash_TA\resources\views/login.blade.php ENDPATH**/ ?>