

<?php $__env->startSection('content'); ?>
    <div class="page-info">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Transactions</a></li>
                <li class="breadcrumb-item active" aria-current="page">Incoming Cash</li>
            </ol>
        </nav>
    </div>
    <?php echo $__env->make('message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="main-wrapper">
        <div class="card">
            <div class="card-body">
                <a href="#" class="btn btn-primary rounded-pill btn-sm mb-4" data-toggle="modal" data-target="#modalAdd"><i class="material-icons">add</i>Add</a>
                <a href="<?php echo e(route('printic')); ?>" class="btn btn-secondary rounded-pill btn-sm mb-4"><i class="material-icons">print</i> Print</a>
                <div class="table-responsive">
                    <table class="table table-hover table-sm table-bordered" id="zero-conf">
                        <thead class="thead-dark">
                            <tr>
                                <th style="width: 8%" class="text-center">#</th>
                                <th>Cash Status</th>
                                <th>Date</th>
                                <th>Amount</th>
                                <th>Description</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $no = 1;
                            ?>
                            <?php $__currentLoopData = $IC; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="text-center"><?php echo e($no++); ?></td>
                                <td><?php echo e($item->cashStatus->status); ?></td>
                                <td><?php echo e(date('d/m/Y', strtotime($item->date))); ?></td>
                                <td>Rp. <?php echo e(number_format($item->amount, 0, ',', '.')); ?></td>
                                <td>
                                    <a href="#modalDetail" id="detail" data-toggle="modal" data-target="#modalDetail" data-desc="<?php echo e($item->description); ?>" class="btn btn-sm rounded-pill btn-info"><i class="material-icons-outlined">visibility</i> Detail</a>
                                </td>
                                <td style="width: 25%">
                                    <a href="#modalEdit" id="edit" data-toggle="modal" data-target="#modalEdit" class="btn btn-warning btn-sm rounded-pill"
                                    data-id="<?php echo e($item->id); ?>"
                                    data-cs="<?php echo e($item->cashStatus->id); ?>"
                                    data-date="<?php echo e($item->date); ?>"
                                    data-amount="<?php echo e($item->amount); ?>"
                                    data-desc="<?php echo e($item->description); ?>"
                                    onclick="$('#modalEdit #formEdit').attr('action', '<?php echo e(route('incomingCash.update', Crypt::encryptString($item->id))); ?>) }}')"
                                    ><i class="material-icons-outlined">edit</i>Edit</a>
                                    <a href="#modalDelete" data-toggle="modal" data-target="#modalDelete" class="btn btn-danger btn-sm rounded-pill" onclick="$('#modalDelete #formDelete').attr('action', '<?php echo e(route('incomingCash.destroy', Crypt::encryptString($item->id))); ?>')"><i class="material-icons-outlined">delete</i>Delete</a>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>  
            </div>
        </div>    
    </div>

    
    <div class="modal fade" id="modalAdd" tabindex="-1" role="dialog" aria-labelledby="modalAddLabel" Add Incoming Cash="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalAddLabel">Add Incoming Cash</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="<?php echo e(route('incomingCash.store')); ?>" method="post">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label for="cashStatus">Cash Status</label>
                            <select name="cashStatus" id="cashStatus" class="form-control custom-select" required>
                                <option value="">- Choose -</option>
                                <?php $__currentLoopData = $CS; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->status); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" name="date" class="form-control" id="date" required>
                        </div>
                        <div class="form-group">
                            <label for="amount">Amount</label>
                            <input type="number" name="amount" class="form-control" id="amount" placeholder="Amount" required>
                        </div>
                        <div class="form-group">
                            <label for="desc">Description</label>
                            <textarea name="desc" id="desc" cols="30" rows="3" class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalEdit" tabindex="-1" role="dialog" aria-labelledby="modalEditLabel" Edit Incoming Cash="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalEditLabel">Edit Incoming Cash</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formEdit">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>
                        <div class="form-group">
                            <label for="cs">Cash Status</label>
                            <select name="cashStatus" id="cs" class="form-control custom-select" required>
                                <?php $__currentLoopData = $CS; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->status); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" name="date" class="form-control" id="date" required>
                        </div>
                        <div class="form-group">
                            <label for="amount">Amount</label>
                            <input type="number" name="amount" class="form-control" id="amount" placeholder="Amount" required>
                        </div>
                        <div class="form-group">
                            <label for="desc">Description</label>
                            <textarea name="desc" id="desc" cols="30" rows="3" class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="modalDeleteLabel" Delete Incoming Cash="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalDeleteLabel">Delete Incoming Cash</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <form action="" method="post" id="formDelete">
                    <div class="modal-body">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('delete'); ?>
                        <p>Sure you want to delete cash status</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" autofocus>Yes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="modalDetail" tabindex="-1" role="dialog" aria-labelledby="modalDetailLabel" Detail Incoming Cash="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalDetailLabel">Detail Incoming Cash</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="material-icons">close</i>
                    </button>
                </div>
                <div class="modal-body">
                    <textarea id="desc" cols="30" rows="10" class="form-control" readonly></textarea>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <script>
        $(document).on('click', '#edit', function(){
            let cs = $(this).data('cs')
            let date = $(this).data('date')
            let amount = $(this).data('amount')
            let desc = $(this).data('desc')

            $('#modalEdit #cs option').each(function() {
                if ($(this).val() == cs) {
                    $(this).prop('selected', true);
                }
            });
            $('#modalEdit #date').val(date)
            $('#modalEdit #amount').val(amount)
            $('#modalEdit #desc').val(desc)
        })

        $(document).on('click', '#detail', function() {
            let desc = $(this).data('desc')
            $('#modalDetail #desc').val(desc)
        })
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\All_Program-Laravel\E-Cash_TA\resources\views/incomingCash/index.blade.php ENDPATH**/ ?>