<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title><?php echo e($title); ?></title>
    
    <style>
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .logo {
            height: 80px;
            margin-right: 20px;
        }

        .address {
            font-size: 14px;
            line-height: 1.0;
            text-align: center;
        }

        .content {
            margin-top: 20px;
        }

        .table {
            border-collapse: collapse;
            width: 100%;
        }

        .table th,
        .table td {
            border: 1px solid black;
            padding: 5px;
        }

        .table th {
            background-color: #7bfd01;
        }

        .footer {
            margin-top: 20px;
            text-align: left;
        }

        .address h3 {
            margin-bottom: none;
        }

        .bottom {
            padding-left: 70%;
            display: flex;
            justify-content: flex-end;
        }

        .logo {
            height: 100px;
            width: 100px;
        }
    </style>
</head>

<body>
    <div class="header">
        <table>
            <tr>
                <td>
                    <img src="images/<?php echo e($company->photo); ?>" alt="Logo" class="logo">
                </td>
                <td>
                    <div class="address">
                        <h2><b><?php echo e($company->nama); ?></b></h2>
                        <?php echo e($company->alamat); ?>, Kec. <?php echo e($company->kecamatan); ?>, Kota <?php echo e($company->kota); ?>,
                        <?php echo e($company->provinsi); ?><br>
                        Email: <?php echo e($company->email); ?><br>
                        Tel: <?php echo e($company->nohp); ?>

                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div class="content">
        <table style="width: 100%">
            <tr>
                <td style="text-align: center" colspan="2">
                    <h3><b>Laporan Data Periode <?php echo e(date('d M Y', strtotime($awal))); ?> Sampai <?php echo e(date('d M Y', strtotime($akhir))); ?></b></h3>
                </td>
            </tr>
            
        </table>
        <table class="table">
            <thead>
                <tr>
                    <th style="text-align: center; width: 8%">#</th>
                    <th>Date</th>
                    <th>Description</th>
                    <th>Incoming</th>
                    <th>Outgoing</th>
                    <th>Balance</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $no = 1;
                ?>
                <?php $__currentLoopData = $report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td style="text-align: center"><?php echo e($no++); ?></td>
                        <td><?php echo e(date('d/m/Y', strtotime($item->date))); ?></td>
                        <td><?php echo e($item->description); ?></td>
                        <td style="text-align: right">Rp.
                            <?php echo e($item->status == 1 ? number_format($item->amount, 0, ',', '.') : '-'); ?></td>
                        <td style="text-align: right">Rp.
                            <?php echo e($item->status == 2 ? number_format($item->amount, 0, ',', '.') : '-'); ?></td>
                        <td style="text-align: right">
                            Rp. <?php echo e(number_format($item->balance, 0, ',', '.')); ?>

                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
        <div class="bottom">
            <table style="margin-top: 20px;">
                <tr>
                    <td style="text-align: center;">
                        Hormat Kami, <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <b><?php echo e($company->nama); ?></b>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</body>

</html>
<?php /**PATH D:\laravel\E-Cash_TA\resources\views/report/print.blade.php ENDPATH**/ ?>