<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title><?php echo e($title); ?></title>
    
    <style>
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .logo {
            height: 80px;
            margin-right: 20px;
        }

        .address {
            font-size: 14px;
            line-height: 1.0;
            text-align: center;
        }

        .content {
            margin-top: 20px;
        }

        .table {
            border-collapse: collapse;
            width: 100%;
        }

        .table th,
        .table td {
            border: 1px solid black;
            padding: 5px;
        }

        .table th {
            background-color: #7bfd01;
        }

        .footer {
            margin-top: 20px;
            text-align: left;
        }

        .address h3 {
            margin-bottom: none;
        }

        .bottom {
            padding-left: 70%;
            display: flex;
            justify-content: flex-end;
        }
    </style>
</head>

<body>
    <div class="header">
        <table>
            <tr>
                <td>
                    <img src="<?php echo e(public_path('images/Logo-Greennusa.png')); ?>" alt="Logo" class="logo" width="200px"
                        height="100px">
                </td>
                <td>
                    <div class="address">
                        <h2><b>CV. Greennusa Computindo</b></h2>
                        Jl. Siradj Salman Ruko Grand Mahakam Residence No. 09-10, Kec. Samarinda Ulu, Kota Samarinda,
                        Kalimantan Timur 75124<br>
                        Email: greennusa.net@gmail.com<br>
                        Tel: 0813-4803-9947
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div class="content">
        <table style="width: 100%">
            <tr>
                <td style="text-align: center" colspan="2">
                    <h3><b>Period <?php echo e(date('F - Y', mktime(0, 0, 0, $month, 1))); ?></b></h3>
                </td>
            </tr>
            <tr>
                <td style="text-align: left">Begining Balance : Rp. <?php echo e(number_format($balance2->amount, 0, ',', '.')); ?>

                </td>
                <td style="text-align: right">
                    Balance : <?php echo e(number_format($ic - $oc, 0, ',', '.')); ?>

                </td>
            </tr>
        </table>
        <table class="table">
            <thead>
                <tr>
                    <th style="text-align: center; width: 8%">#</th>
                    <th>Date</th>
                    <th>Description</th>
                    <th>Incoming</th>
                    <th>Outgoing</th>
                    <th>Balance</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $no = 1;
                ?>
                <?php $__currentLoopData = $report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td style="text-align: center"><?php echo e($no++); ?></td>
                        <td><?php echo e(date('d/m/Y', strtotime($item->date))); ?></td>
                        <td><?php echo e($item->description); ?></td>
                        <td style="text-align: right">Rp.
                            <?php echo e($item->status == 1 ? number_format($item->amount, 0, ',', '.') : '-'); ?></td>
                        <td style="text-align: right">Rp.
                            <?php echo e($item->status == 2 ? number_format($item->amount, 0, ',', '.') : '-'); ?></td>
                        <td style="text-align: right">
                            Rp. <?php echo e(number_format($item->balance, 0, ',', '.')); ?>

                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
        <div class="bottom">
            <table style="margin-top: 20px;">
                <tr>
                    <td style="text-align: center;">
                        Hormat Kami, <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <b><u>Priyo Sudarsono, S. M</u></b><br>
                        <b>CV. Green Nusa Computindo</b>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</body>

</html>
<?php /**PATH D:\All Program-Laravel\E-Cash_TA\resources\views/report/print.blade.php ENDPATH**/ ?>